<?php
/*
Plugin Name: Responsive Navbars
Plugin URI: https://htmljstemplates.com/utilities/responsive-navbars-wordpress-plugin
Description: Beautiful mobile responsive navbars compatible with most page builders out there.
Version: 1.0
Author: Siva Kishore G
Author URI: https://htmljstemplates.com/about-us
License: GPLv2 or later
Text Domain: Navbars
*/
include 'navbar_settings.php';
include 'navbars/simpleNavbar.php';
include 'navbars/logoCentered.php';

class HTMLJSTemplates{
  function __construct(){
    add_action('wp_enqueue_scripts', array($this,'navbar_style'));
    add_action('wp_body_open',array($this,'welcome_info'));
  }

  function welcome_info(){
    // var_dump(get_background_color());
    $menuName = get_option('hjs_menu');
    $menuType = get_option('hjs_type');
    $menu = wp_get_nav_menu_items($menuName);

    switch($menuType){
      case 'Simple Navbar':
      $simpleNavbar = new SimpleNavbar();
      $simpleNavbar->layout($menu);
      break;

      case 'Logo Centered':
      $simpleNavbar = new LogoCentered();
      $simpleNavbar->layout($menu);
      break;
    }



  }

  function navbar_style() {
    wp_enqueue_style('navbarStyle',plugins_url('styles.css',__FILE__));
    wp_enqueue_script('navbarScript',plugins_url('WPNavbarScript.js',__FILE__));
  }
}

new HTMLJSTemplates();
new navbarSettings();
