<?php
class navbarSettings {
  function __construct(){
    add_action('admin_menu', array($this,'navbarPageSettings'));
    add_action('admin_init',array($this,'settings'));
  }

  function settings(){
    add_settings_section('hjs_main_section',null,null,'navbar-settings');
    add_settings_field('hjs_type','Select Navbar Type',array($this,'navbarTypeSetting'),'navbar-settings','hjs_main_section');
    register_setting('navbarSettingsGroup','hjs_type',array('sanitize_callback'=>'sanitize_text_field','default'=>'Simple Navbar'));

    add_settings_field('hjs_menu','Select Menu',array($this,'navbarMenuSetting'),'navbar-settings','hjs_main_section');
    register_setting('navbarSettingsGroup','hjs_menu',array('sanitize_callback'=>'sanitize_text_field','default'=>'0'));

    // add_settings_field('hjs_color','Choose Color',array($this,'navbarColor'),'navbar-settings','hjs_main_section');
    // register_setting('navbarSettingsGroup','hjs_color',array('sanitize_callback'=>'sanitize_text_field','default'=>'#f00'));
  }

  function navbarTypeSetting(){
    $html = '<select name="hjs_type">';
    $navbars = ['Simple Navbar','Logo Centered'];
    // 'Navbar Bottom','Fixed Navbar','Zoomed Out Navbar'
    foreach($navbars as $n){
      $html .= "<option value='$n' ".selected(get_option('hjs_type'), ''.$n, false ).">$n</option>";
    }
    $html .= "</select>";
    echo $html;
  }

  function navbarColor(){
    $html = "<input type='color' name='hjs_color' value='".get_option('hjs_color')."'";
    echo $html;
  }

  function navbarMenuSetting(){
    $menus = wp_get_nav_menus();
    $html = "<select name='hjs_menu'>";
    foreach($menus as $m){
      $html .= "<option value='$m->name' ".selected(get_option('hjs_menu'), ''.$m->name, false ).">$m->name</option>";
    }
    $html .= "</select>";
    echo $html;
   }

  function navbar_config(){ ?>
    <div class="wrap">
      <h1>Navbar Settings</h1>
      <form action="options.php" method="POST">
        <?php
        settings_fields('navbarSettingsGroup');
        do_settings_sections('navbar-settings');
        submit_button();
          ?>
      </form>
    </div>
  <?php }



  function navbarPageSettings(){
    add_options_page('Navbar Settings | HTML JS Templates','Navbar Settings','manage_options','navbar-settings', array($this,'navbar_config'));
  }
}
